Get an SSH key for a dedicated server

GET/v1/hosts/dedicated_servers/{server_id}/ssh_keys/{fingerprint}

A GET request to the /v1/hosts/dedicated_servers/{server_id}/ssh_keys/{fingerprint} endpoint will show details of an SSH key for a dedicated server. Both ID parameters should be specified in the path.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

fingerprint*string

A fingerprint of an SSH key. To list all existing fingerprints, go to the SSH keys section.

Response Body

application/json

curl -X GET "https://example.com/v1/hosts/dedicated_servers/K9b6MOaE/ssh_keys/97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f112"
{  "name": "ssh_key_110",  "fingerprint": "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f112",  "labels": {},  "updated_at": "2026-05-28T07:07:06Z",  "created_at": "2026-05-28T07:07:06Z"}